> For the complete documentation index, see [llms.txt](https://docs.pascom.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pascom.net/en/reference/howto/dialplan-loop.md).

# Remove Dialplan Loops

How to identify, avoid and fix Dialplan Loops

## Overview

A dialplan loop exits when during a call, an extension is traversed 30 times. This happens e.g. through call diversions and drops that are set incorrectly and thus end in a loop.

## Warning Notification

In the job box, a warning notification will appear as below:

```
CRITICAL: A dialplan loop was detected
```

## Remove Warning Notification

The PASCOM cloud system automatically clears this warning message the next time you save changes via **"Apply telephony configuration"**.

## Avoid Dialplan Loop

If this warning message occurs, check your call diversions and drops within your call flow. At some point, a loop will form here. Modify your call flow so that loops are avoided.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pascom.net/en/reference/howto/dialplan-loop.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
